=== modified file 'loggerhead/middleware/profile.py'
--- loggerhead/middleware/profile.py	2009-03-30 22:05:16 +0000
+++ loggerhead/middleware/profile.py	2009-04-01 22:50:25 +0000
@@ -35,75 +35,3 @@
             self.lock.release()
 
 
-class MemoryProfileMiddleware(object):
-    '''Paste middleware for profiling memory with heapy.'''
-
-    def __init__(self, app, limit=40):
-        self.app = app
-        self.lock = threading.Lock()
-
-        self.type2count = {}
-        self.type2all = {}
-        self.limit = limit
-
-    def update(self):
-        try:
-            obs = sys.getobjects(0)
-        except AttributeError:
-            logging.error(
-                'Python does not have debug symbols compiled.  Memory will '
-                'not be profiled.')
-            return
-        type2count = {}
-        type2all = {}
-        for o in obs:
-            all = sys.getrefcount(o)
-
-            if type(o) is str and o == '<dummy key>':
-                # avoid dictionary madness
-                continue
-            t = type(o)
-            if t in type2count:
-                type2count[t] += 1
-                type2all[t] += all
-            else:
-                type2count[t] = 1
-                type2all[t] = all
-
-        ct = [(type2count[t] - self.type2count.get(t, 0),
-               type2all[t] - self.type2all.get(t, 0),
-               t)
-              for t in type2count.iterkeys()]
-        ct.sort()
-        ct.reverse()
-        printed = False
-
-        logger = logging.getLogger('loggerhead-memprofile')
-        logger.debug('*' * 20)
-        logger.debug("Loggerhead Memory Profiling")
-        i = 0
-        for delta1, delta2, t in ct:
-            if delta1 or delta2:
-                if not printed:
-                    logger.debug("%-55s %8s %8s" % ('', 'insts', 'refs'))
-                    printed = True
-
-                logger.debug("%-55s %8d %8d" % (t, delta1, delta2))
-
-                i += 1
-                if i >= self.limit:
-                    break
-
-        self.type2count = type2count
-        self.type2all = type2all
-
-    def __call__(self, environ, start_response):
-        self.lock.acquire()
-        try:
-            # We don't want to be working with the static images
-            # TODO: There needs to be a better way to do this.
-            self.update()
-            return self.app(environ, start_response)
-        finally:
-            self.lock.release()
-

=== modified file 'serve-branches'
--- serve-branches	2009-04-17 00:14:16 +0000
+++ serve-branches	2009-04-29 23:30:35 +0000
@@ -86,11 +86,6 @@
     logfile.setLevel(logging.DEBUG)
     logger.addHandler(logfile)
 
-    if config.get_option('memory_profile'):
-        memprofile = logging.getLogger('loggerhead-memprofile')
-        memprofile.setLevel(logging.DEBUG)
-        memprofile.addHandler(logging.FileHandler('loggerhead-memprofile'))
-
     # setup_logging() #end
 
     app = TransLogger(app, logger=logger)
@@ -98,8 +93,8 @@
         from loggerhead.middleware.profile import LSProfMiddleware
         app = LSProfMiddleware(app)
     if config.get_option('memory_profile'):
-        from loggerhead.middleware.profile import MemoryProfileMiddleware
-        app = MemoryProfileMiddleware(app)
+        from dozer import Dozer
+        app = Dozer(app)
 
     if not config.get_option('user_prefix'):
         prefix = '/'

